RESTinio

Public Member Functions | List of all members
restinio::easy_parser::impl::tuple_item_consumer_t< Index > Struct Template Reference

A consumer that stores a result value at the specified index in the result tuple. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::tuple_item_consumer_t< Index >:

## Public Member Functions
template<typename Target_Type , typename Value >
void | consume (Target_Type &&to, Value &&value)

## Additional Inherited Members
Static Public Attributes inherited from restinio::easy_parser::impl::consumer_tag
static constexpr entity_type_t | entity_type = entity_type_t::consumer

## Detailed Description

template<std::size_t Index>
struct restinio::easy_parser::impl::tuple_item_consumer_t< Index >

A consumer that stores a result value at the specified index in the result tuple.

Since
  v.0.6.6

Definition at line 3020 of file easy_parser.hpp.

## Member Function Documentation

## ◆ consume()

template<std::size_t Index>
template<typename Target_Type , typename Value >

void restinio::easy_parser::impl::tuple_item_consumer_t< Index >::consume | ( | Target_Type && | to,
|  | Value && | value
| ) |  |
| inline

Definition at line 3030 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp